message(STATUS ${CMAKE_CURRENT_LIST_DIR})
unset(mylib_INCLUDE_DIRS CACHE)
unset(mylib_LIBRARIES CACHE)
unset(mylib_FOUND CACHE)
find_path(mylib_INCLUDE_DIRS NAMES "mylib" PATHS "${CMAKE_CURRENT_LIST_DIR}/include")
message("Find mylib includes, dir is '${mylib_INCLUDE_DIRS}'")
find_library(mylib_LIBRARIES NAMES "mylib" PATHS "${CMAKE_CURRENT_LIST_DIR}/lib")
message("Find mylib libs, path is '${mylib_LIBRARIES}'")
if(mylib_INCLUDE_DIRS AND mylib_LIBRARIES)
    set(mylib_FOUND TRUE)
    set(mylib_INCLUDE_DIRS ${mylib_INCLUDE_DIRS} ${mylib_INCLUDE_DIRS}/mylib/3rd_part/)
else()
	set(mylib_FOUND FALSE)
endif(mylib_INCLUDE_DIRS AND mylib_LIBRARIES)